Support » Plugin vragen » Kritieke melding van plugin Polylang

  • Opgelost hettywordpress

    (@hettywordpress)


    Dag!

    Kan iemand me helpen? Ik heb geen idee waar ik dit probleem moet zoeken of hoe ik het kan aanpassen.
    Ik heb de website doorgelopen (frontend) en ik zie geen zichtbare problemen. Dank je alvast voor de moeite!! 🙂

    Ik kreeg de volgende melding:
    De fout is gevonden op deze pagina: https://www.khteravest.nl/wp-admin/admin-ajax.php

    Foutdetails
    ===========
    Een fout van het type E_ERROR werd veroorzaakt op regelnummer 56 van het bestand /home/khteraves/domains/khteravest.nl/public_html/wp-content/plugins/polylang/include/class-polylang.php. Foutmelding: Uncaught Error: Class ‘PLL_Plugins_Compat’ not found in /home/khteraves/domains/khteravest.nl/public_html/wp-content/plugins/polylang/include/class-polylang.php:56

    Overige informatie:
    WordPress versie 5.4.4
    Huidig thema: Higher Education (versie 2.0.1)
    Huidige plugin: Polylang (versie 2.9.2)
    PHP versie 7.3.25

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

5 reacties aan het bekijken - 1 tot 5 (van in totaal 5)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Eerste tip, alles updaten want je draait een oude WordPress (5.6.2 is de nieuwste versie) – je thema is wel al sinds 2019 niet meer bijgewerkt dus dat kan nu of in de toekomst wel voor problemen zorgen met compatibiliteit.

    Je draait dan wel de nieuwste versie van Polylang .. dus beetje tegenstrijdig. De fout zelf zegt dat er een classe niet gevonden worden, dus ik vermoed eigenlijk ook dat de polylang plugin niet meer volledig is. Als je nog in je dashboard kan, deactiveer polylang en verwijder het en installeer het daarna nog eens opnieuw en kijk of het werkt.

    Thread starter hettywordpress

    (@hettywordpress)

    Dank je Jeroen!
    Ik ben het aan het testen! Ik heb de update doorgevoerd.
    Bij errormeldingen krijg ik niet de mail binnen (dat loopt via iemand anders).
    Kan ik ergens zien binnen de site of de polylang geen kritieke melding meer is?
    M.a.w. of het zo opgelost is?

    Ik hoor het nog graag!

    dank je alvast!

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Die foutdetails zie je niet binnen WordPress tenzij WP_DEBUG zou aanstaan, maar dat is niet aan te raden. Als jij de mails niet krijgt, zou ik je aanbevelen te kijken of je toegang hebt op de host om de server logs in te kijken of er nog fouten voorkomen. Naast de updates ook kijken best om Polylang eens tijdelijk te verwijderen en opnieuw te installeren zoals ik zei om er zeker van te zijn dat alle bestanden er zijn.

    Thread starter hettywordpress

    (@hettywordpress)

    Oke, super bedankt! Lekker helder uitgelegd ook! 🙂

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Ik doe mijn best 😉 Dank voor de mooie woorden.

5 reacties aan het bekijken - 1 tot 5 (van in totaal 5)